#!/usr/bin/env python
# -*- mode: landisk-python; coding: utf-8; -*-
# vim:ts=4 sw=4 sts=4 ai si et sta

"""Do something for installing the landisk-cloud-common package."""

import os

from ionas import request
from fal_info import (FAL_CLOUD_PATH, Results, ReqTypes)


OLD_SESSION_PATH = "/mnt/data/conf/dropbox/session"
NEW_SESSION_PATH = "/mnt/data/conf/hdropbox/session"

DROPBOX_PATH = "dropboxlist/dropbox"
NAME_NAME = "name"
SESSION_SUFFIX = ".session"


def __send_request(target, type, body=""):
    """Send request entry to "target"."""

    entry = request.Entry(type, body)
    return request.Request(target).request(entry).get_entry()


def try_move_session_files():
    """Try moving session file from old path to new path."""

    try:
        cloud_config = __send_request(FAL_CLOUD_PATH, ReqTypes.LOAD).get()

        for dropbox_node in cloud_config.get_node_list(DROPBOX_PATH):
            try:
                session_file = dropbox_node.get_node(NAME_NAME).get_text() + \
                                SESSION_SUFFIX
                old_session_path = os.path.join(OLD_SESSION_PATH, session_file)
                new_session_path = os.path.join(NEW_SESSION_PATH, session_file)
                if os.path.exists(old_session_path):
                    os.rename(old_session_path, new_session_path)
            except:
                # Ignore error
                pass
    except:
        # Ignore error
        pass

    return False


#
# Main
#

try_move_session_files()
